Bug 1076042 - (6.2.1) JON server plugin: generic loader cache child creation fails
Summary: (6.2.1) JON server plugin: generic loader cache child creation fails
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: JON Plugin
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: CR2
: 6.2.1
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-13 12:27 UTC by Tomas Sykora
Modified: 2018-09-12 22:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Configuration of a generic cache loader from JBoss ON fails with exception "org.infinispan.persistence.cluster.ClusterLoader is not a valid cache loader". This is caused by the fact that the configuration parser incorrectly casts every custom cache loader class to an older cache loader API (pre-JBoss Data Grid 6.2 API). This has been fixed and it is now possible to configure a generic cache loader from JBoss ON.
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Issue Tracker ISPN-4103 Major Resolved Generic loader cache child creation fails 2014-06-27 01:46:56 UTC

Description Tomas Sykora 2014-03-13 12:27:45 UTC
All in JIRA

Comment 2 JBoss JIRA Server 2014-03-18 16:59:39 UTC
William Burns <wburns@redhat.com> updated the status of jira ISPN-4103 to Coding In Progress

Comment 3 Tomas Sykora 2014-03-27 13:11:01 UTC
Awesome, thanks! 

VERIFIED


Note You need to log in before you can comment on or make changes to this bug.